summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-01-02 01:25:29 +0000
committer Eric Hameleers <alien@slackware.com>2022-01-02 08:59:54 +0100
commit4b5d75483c1f858242945982c4bf879f9a7929ac (patch)
treeee34ebd40ef7b3b6a40a24e5e36142081a7e0c8e /source
parenta4a4d64170ecf6bf20bb90def93307aa8ebe18c6 (diff)
downloadcurrent-4b5d75483c1f858242945982c4bf879f9a7929ac.tar.gz
current-4b5d75483c1f858242945982c4bf879f9a7929ac.tar.xz
Sun Jan 2 01:25:29 UTC 202220220102012529
a/mdadm-4.2-x86_64-1.txz: Upgraded. ap/usbmuxd-20210925_e3a3180-x86_64-1.txz: Upgraded. Updated to fix mounting devices with iOS 15.1. Thanks to qunying. l/libimobiledevice-20211124_2c6121d-x86_64-1.txz: Upgraded. l/libimobiledevice-glue-20211125_3cb687b-x86_64-1.txz: Added. l/xapian-core-1.4.19-x86_64-1.txz: Upgraded. x/mesa-21.3.3-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/mdadm/mdadm.SlackBuild2
-rwxr-xr-xsource/ap/usbmuxd/usbmuxd.SlackBuild2
-rwxr-xr-xsource/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh49
-rwxr-xr-xsource/l/libimobiledevice-glue/libimobiledevice-glue.SlackBuild147
-rw-r--r--source/l/libimobiledevice-glue/slack-desc19
-rwxr-xr-xsource/l/libimobiledevice/libimobiledevice.SlackBuild2
-rwxr-xr-xsource/l/xapian-core/xapian-core.SlackBuild2
7 files changed, 219 insertions, 4 deletions
diff --git a/source/a/mdadm/mdadm.SlackBuild b/source/a/mdadm/mdadm.SlackBuild
index dbebd1bf8..de41151b0 100755
--- a/source/a/mdadm/mdadm.SlackBuild
+++ b/source/a/mdadm/mdadm.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mdadm
VERSION=${VERSION:-$(echo mdadm-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/ap/usbmuxd/usbmuxd.SlackBuild b/source/ap/usbmuxd/usbmuxd.SlackBuild
index 46b7b69d9..2e952e13e 100755
--- a/source/ap/usbmuxd/usbmuxd.SlackBuild
+++ b/source/ap/usbmuxd/usbmuxd.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=usbmuxd
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh b/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
new file mode 100755
index 000000000..7af368d88
--- /dev/null
+++ b/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf libimobiledevice-glue
+
+# Clone repository:
+git clone https://github.com/libimobiledevice/libimobiledevice-glue
+
+# checkout $BRANCH:
+( cd libimobiledevice-glue
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd libimobiledevice-glue && git log -1 --format=%h )"
+DATE="$( cd libimobiledevice-glue && git log -1 --format=%cd --date=format:%Y%m%d )"
+LONGDATE="$( cd libimobiledevice-glue && git log -1 --format=%cd --date=format:%c )"
+# Cleanup. We're not packing up the whole git repo.
+( cd libimobiledevice-glue && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv libimobiledevice-glue libimobiledevice-glue-${DATE}_${HEADISAT}
+tar cf libimobiledevice-glue-${DATE}_${HEADISAT}.tar libimobiledevice-glue-${DATE}_${HEADISAT}
+xz -9 -f libimobiledevice-glue-${DATE}_${HEADISAT}.tar
+rm -rf libimobiledevice-glue-${DATE}_${HEADISAT}
+touch -d "$LONGDATE" libimobiledevice-glue-${DATE}_${HEADISAT}.tar.xz
+echo
+echo "libimobiledevice-glue branch $BRANCH with HEAD at $HEADISAT packaged as libimobiledevice-glue-${DATE}_${HEADISAT}.tar.xz"
+echo
diff --git a/source/l/libimobiledevice-glue/libimobiledevice-glue.SlackBuild b/source/l/libimobiledevice-glue/libimobiledevice-glue.SlackBuild
new file mode 100755
index 000000000..6f8a9967d
--- /dev/null
+++ b/source/l/libimobiledevice-glue/libimobiledevice-glue.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+
+# Copyright 2015, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libimobiledevice-glue
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
+PYTHON=/usr/bin/python3 \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Provide a symlink from the old pkgconfig name:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+ ln -sf libimobiledevice-1.*.pc libimobiledevice.pc
+)
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add some docs:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING* NEWS README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/libimobiledevice-glue/slack-desc b/source/l/libimobiledevice-glue/slack-desc
new file mode 100644
index 000000000..05468d287
--- /dev/null
+++ b/source/l/libimobiledevice-glue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libimobiledevice-glue: libimobiledevice-glue (glue library for libimobiledevice)
+libimobiledevice-glue:
+libimobiledevice-glue: Library with common code used by the libraries and tools from the
+libimobiledevice-glue: libimobiledevice project. The main functionality provided by this
+libimobiledevice-glue: library are socket helper functions and a platform independent
+libimobiledevice-glue: thread/mutex implementation. It also provides a number of string,
+libimobiledevice-glue: file, and plist helper functions, as well as some other commonly used
+libimobiledevice-glue: code that was originally duplicated in the dedicated projects.
+libimobiledevice-glue:
+libimobiledevice-glue: The libimobiledevice homepage: http://www.libimobiledevice.org/
+libimobiledevice-glue:
diff --git a/source/l/libimobiledevice/libimobiledevice.SlackBuild b/source/l/libimobiledevice/libimobiledevice.SlackBuild
index 9f9945ce4..c8d0e3730 100755
--- a/source/l/libimobiledevice/libimobiledevice.SlackBuild
+++ b/source/l/libimobiledevice/libimobiledevice.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libimobiledevice
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/xapian-core/xapian-core.SlackBuild b/source/l/xapian-core/xapian-core.SlackBuild
index 99fe49778..c3bc72fea 100755
--- a/source/l/xapian-core/xapian-core.SlackBuild
+++ b/source/l/xapian-core/xapian-core.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xapian-core
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}